#include<iostream>
#include<assert.h>
#include<string>
#include<vector>
#define MAXN 10
using namespace std;
bool segments[MAXN+1][MAXN+1];
struct triangle {
    int a;
    int b;
    int c;
};
vector <triangle> triangles={
    {1, 2, 3},
    {2, 4, 5},
    {2, 3, 5},
    {3, 5, 6},
    {4, 7, 8},
    {4, 5, 8},
    {5, 8, 9},
    {5, 6, 9},
    {6, 9, 10},
};
int check_triangle (int a, int b, int c) {
    int sides=0;
    if (segments[a][b]==true) sides++;
    if (segments[a][c]==true) sides++;
    if (segments[b][c]==true) sides++;
    return sides;
}
bool input[MAXN+1][MAXN+1];
int main () {
    int m;
    cin >> m ;
    assert((m>=0)&&(m<=18));
    string player;
    int a,b;
    for (int i=0; i<m; i++) {
        cin >> player >> a >> b ;
        assert((player=="A:")||(player=="P:"));
        assert((1<=a)&&(a<b)&&(b<=MAXN));
        segments[a][b]=segments[b][a]=true;
        input[a][b]=input[b][a]=true;
    }
    for (auto [a, b, c] : triangles) {
        input[a][b]=input[b][a]=false;
        input[a][c]=input[c][a]=false;
        input[b][c]=input[c][b]=false;
    }
    bool fl=false;
    for (int i=1; i<=MAXN; i++) {
        for (int j=1; j<=MAXN; j++) {
            if (input[i][j]==true) fl=true;
        }
    }
    assert(fl==false);

    int st=0;
    for (auto [a, b, c] : triangles) {
        if (check_triangle(a,b,c)==3) st++;
    }
    for (;;) {
        bool fl=false;
        for (auto [a, b, c] : triangles) {
            if (check_triangle(a,b,c)==2) {
                fl=true;
                if (segments[a][b]==false) segments[a][b]=segments[b][a]=true;
                if (segments[a][c]==false) segments[a][c]=segments[c][a]=true;
                if (segments[b][c]==false) segments[b][c]=segments[c][b]=true;
                break;
            }
        }
        if (fl==false) break;
    }
    int fin=0;
    for (auto [a, b, c] : triangles) {
        if (check_triangle(a,b,c)==3) fin++;
    }
    cout << fin-st ;
    cout << endl ;
    return 0;
}
