//game18.cpp  Author P.Panov
#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
using namespace std;

typedef struct{
        int to[3];
        int triang[3][2];
}Triangle;

Triangle triang[10] = {
                    { {-1,-1,-1}, {{-1,-1}, {-1,-1}, {-1,-1}} },
/*From 1 -> to*/    { { 2, 3,-1}, {{ 0,-1}, { 0,-1}, {-1,-1}} },
/*From 2 -> to*/    { { 3, 4, 5}, {{ 0, 2}, { 1,-1}, { 1, 2}} },
/*From 3 -> to*/    { { 5, 6,-1}, {{ 2, 3}, { 3,-1}, {-1,-1}} },
/*From 4 -> to*/    { { 5, 7, 8}, {{ 1, 5}, { 4,-1}, { 4, 5}} },
/*From 5 -> to*/    { { 6, 8, 9}, {{ 3, 7}, { 5, 6}, { 6, 7}} },
/*From 6 -> to*/    { { 9,10,-1}, {{ 7, 8}, { 8,-1}, {-1,-1}} },
/*From 7 -> to*/    { { 8,-1,-1}, {{ 4,-1}, {-1,-1}, {-1,-1}} },
/*From 8 -> to*/    { { 9,-1,-1}, {{ 6,-1}, {-1,-1}, {-1,-1}} },
/*From 9 -> to*/    { {10,-1,-1}, {{ 8,-1}, {-1,-1}, {-1,-1}} }
};
int filled[10];
char line[12][12];
int edge[19][3];

int insertLine(int n1, int n2, int fillUp){
  int d, i, t1, t2;
  d = 1;
  line[n1][n2] = 1;
  for(i = 0; i < 3 && triang[n1].to[i] != n2; i++) /*Empty*/;
  if((t1 = triang[n1].triang[i][0]) != -1){
    filled[t1] += d;
  }
  if((t2 = triang[n1].triang[i][1]) != -1) {
    filled[t2] += d;
  }
   if(fillUp)return 0;
   else{
        int rc=0;
        if(filled[t1]==3)rc++;
        if(filled[t2]==3)rc++;
        if(rc==0){           //Undo
            line[n1][n2] = 0;
            if((t1 = triang[n1].triang[i][0]) != -1)filled[t1]--;
            if((t2 = triang[n1].triang[i][1]) != -1)filled[t2]--;
        }
    return rc;
   }
}
void init(int m){
  int i, j, k, t;
  int n1, n2;
  char player[7];
  //memset(filled, 0, 9*sizeof(int));
 // memset(line, 0, 121*sizeof(int));
  k = 0;
  for(i = 1; i < 10; i++){
     for(j = 0; j < 3; j++){
        if((t = triang[i].to[j]) != -1){
          edge[k][0] = i;
	      edge[k][1] = t;
	      k++;
        }
     }
  }
  for(i = 0; i < m; i++){
    scanf("%s %d %d",player, &n1, &n2);
    insertLine(n1, n2, 1);
  }
}
int main(void){
  int i, m, n1, n2, r, res=0;
  bool flag=true;
  scanf("%d", &m);
  init(m);
  while(flag){
    flag=false;
    for(i = 0; i < 18; i++){
        n1 = edge[i][0];
        n2 = edge[i][1];
        if(line[n1][n2] == 0){
            r=insertLine(n1, n2, 0);
            res+=r;
            if(r>0)flag=true;
        }
    }
  }
  printf("%d\n",res);
  return 0;
}
/*-----End of File-----*/
